Auth API reference

Auth API · Consumer-Admin-Mfa

get/{app_slug}/v1/users/{user_id}/factorsAuth

List a user's MFA factors

Path parameters

app_slug*string

Slug of the app.

user_id*string

Id of the user.

Response · 200

data*array

The user's MFA factors.

Example

Request

GET https://api.auth.productcraft.co/{app_slug}/v1/users/{user_id}/factors
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "string",
      "type": "totp",
      "label": "string",
      "enabled": false,
      "created_at": "2026-01-01T00:00:00.000Z",
      "enabled_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}